{{ ansible_managed | comment }}

{% for rec in tnsnames %}
{{ rec.name }} =
    (DESCRIPTION =
        (ADDRESS = (PROTOCOL = TCP)(HOST = {{ rec.host }})(PORT = {{ rec.port|default(1521) }} ))
        (CONNECT_DATA =
            (SERVER = DEDICATED)
            (SERVICE_NAME = {{ rec.service_name }})
        )
    )
{% endfor %}
